# TestUtility | simple-keyboard
On-screen Javascript Virtual Keyboard

    import TestUtility from 'simple-keyboard/src/lib/tests/TestUtility.js'

public class | source

# TestUtility

Test Utility Functions

## Member Summary

Public Members
public | clear : * Clears DOM structure |
public | iterateButtons : * Iterates on the keyboard buttons |
public | setDOM : * Set's a basic DOM structure to test in |
public | testLayoutFctButtons : * Test if function buttons are interactive (have an onclick) |
public | testLayoutStdButtons : * Test if standard buttons respect maxLength and do input a value |

## Public Members

### public clear: * source

Clears DOM structure

### public iterateButtons: * source

Iterates on the keyboard buttons

### public setDOM: * source

Set's a basic DOM structure to test in

### public testLayoutFctButtons: * source

Test if function buttons are interactive (have an onclick)

### public testLayoutStdButtons: * source

Test if standard buttons respect maxLength and do input a value